Subject: Re: linux-next: manual merge of the kbuild tree with the origin tree

From: Andrew Morton <[email-masked]>
Date: Mon, 18 May 2026 12:55:20 -0700

On Mon, 18 May 2026 12:28:08 -0700 Nathan Chancellor <[email-masked]> wrote:

> > Thanks for the heads up! The resolution looks correct to me but
> > dc1f85a9637cc does not appear to be in Linus's tree? I would have
> > expected the Kbuild tree to have it if so since it is based on 7.1-rc1.
> > 
> >   $ git describe --contains dc1f85a9637ccd3d171fb5262fd38919dfe632bb
> >   Could not get object for dc1f85a9637ccd3d171fb5262fd38919dfe632bb. Skipping.
> > 
> > It looks like it is in one of Andrew's trees? I just want to make sure
> > for my notes to Linus.
> 
> Hmmm, it looks like Andrew actually dropped this series a few weeks ago,
> as Sasha sent a new version:
> 
>   https://lore.kernel.org/[email-masked]/
>   https://lore.kernel.org/[email-masked]/
> 
> Is this because you used an old version of the mm tree?
> 
>   https://lore.kernel.org/[email-masked]/
> 
> Not that the conflict won't come back with the new version, I just want
> to make sure I have my ducks in a row.

Sasha's kallsyms work is a thing-in-progress.  I don't expect to be
re-adding it for 7.1.